namespace hangyezhanbi {
  const { line, upLine,clearchart } = require("./F2");
  const { line1, upLine1,clearchart1 } = require("./F21");
  const { line2, upLine2,clearchart2 } = require("./F22");
  const { line3, upLine3,clearchart3 } = require("./F23");
  let { getMSIndustryProportion } = require('../../../../utils/api')
  let first = true;
  Component({
    /**
     * 组件的属性列表
     */
    properties: {
      array: {
        type: Object
      },
      channel: {
        type: Object
      },
    },
    observers: {
      'array': function () {
        !first && this.upData()
      },
      'channel': function () {
        !first && this.upData()
      },
    },
    ready() {
      this.init();
      first = false;
    },

    detached: function() {
      // 在组件实例被从页面节点树移除时执行
      clearchart()
      clearchart1()
      clearchart2()
      clearchart3()
    },
    /**
     * 组件的初始数据
     */
    data: {
      onInitChart: undefined,
      onInitChart1: undefined,
      onInitChart2: undefined,
      onInitChart3: undefined,
      DayList: {},
      select_act: 0,
      select: [
        {
          text: "时长",
          proportionType: "timeSize",
          type: 2,
          unit: "分",
        },
        {
          text: "频次",
          proportionType: "pinci",
          type: 1,
          unit: "次",
        },
        {
          text: "客户数",
          proportionType: "feiyong",
          type: 4,
          unit: "元",
        },
      ],
    },

    /**
     * 组件的方法列表
     */
    methods: {
      init() {
        let channelItem = this.data.channel;
        Promise.all([
          getMSIndustryProportion({
            type: this.data.select[this.data.select_act].type,
            industryId: channelItem.channelId,
            dataType: this.data.array.index
          }), 
        ]).then((res: any[]) => {
          let li = (res[0] || []);
          
          this.setData({
            DayList: li,
            onInitChart: line.bind(this),
            onInitChart1: line1.bind(this),
            onInitChart2: line2.bind(this),
            onInitChart3: line3.bind(this),
          })
        })
      },
      upData() {
        let channelItem = this.data.channel;
        Promise.all([
          getMSIndustryProportion({
            type: this.data.select[this.data.select_act].type,
            industryId: channelItem.channelId,
            dataType: this.data.array.index
          }),
        ]).then((res: any[]) => {
          this.setData({
            DayList: res[0] || [],
          },()=>{
            upLine.bind(this)()
            upLine1.bind(this)()
            upLine2.bind(this)()
            upLine3.bind(this)()
          })
        })
      },
      channelChange(event: wxPicker) {
        this.setData({
          select_act: Number(event.detail.value)
        }, () => this.upData())
      },
    }
  })
}

