interface chartType {
  destroy: any
  source: any
  axis: any
  tooltip: any
  line: any
  point: any
  render: any
  get: any
  scale: any
  legend: any
  clear: any
  interval: any
  position: any
  pieLabel: any
  coord:any
  guide:any
  area:any
}

interface tooltipOnShowItem {
  color: string
  marker: {
    fill: string
    lineWidth: number
    radius: number
    stroke: string
    symbol: string
  }
  name: string
  origin: {
    channelId: number
    customer: number
    dataKey: string
    dataKeyTypt: string
    dataType: string
    dayId: number
    dt: string
    expired: number
    fee: number
    index: number
    pinci: number
    timeSize: number
  }
  title: string
  value: string
  x: number
  y: number
}

interface tooltipOnShowTooltip{
  title: string
}

interface tooltipOnShow {
  items: tooltipOnShowItem[]
  tooltip: tooltipOnShowTooltip
  tooltipMarkerCfg: {
    type: string
    style: {
      radius: number
      fill: string
      lineWidth: number
      items: tooltipOnShowItem[]
    }
  }
  x: number
  y: number
}

interface antvChart {
  toufangfenxiChart: chartType | undefined
}